-- Copyright (C) 1991-2012 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- PROGRAM		"Quartus II 32-bit"
-- VERSION		"Version 12.1 Build 177 11/07/2012 SJ Web Edition"
-- CREATED		"Wed Dec 05 07:28:57 2012"

LIBRARY ieee;
USE ieee.std_logic_1164.all; 

LIBRARY work;

ENTITY de0_board IS 
	PORT
	(
		CLOCK_50 :  IN  STD_LOGIC;
		BUTTON :  IN  STD_LOGIC_VECTOR(2 TO 2);
		VGA_R :  OUT  STD_LOGIC_VECTOR(3 DOWNTO 0)
	);
END de0_board;

ARCHITECTURE bdf_type OF de0_board IS 

COMPONENT sin_gen
	PORT(clk : IN STD_LOGIC;
		 areset : IN STD_LOGIC;
		 sinq : OUT STD_LOGIC_VECTOR(3 DOWNTO 0)
	);
END COMPONENT;

COMPONENT prescaler
GENERIC (freqin : INTEGER;
			freqout : INTEGER
			);
	PORT(clkin : IN STD_LOGIC;
		 areset : IN STD_LOGIC;
		 clkout : OUT STD_LOGIC
	);
END COMPONENT;

SIGNAL	nARESET :  STD_LOGIC;
SIGNAL	SLOW_CLK :  STD_LOGIC;


BEGIN 



b2v_inst : sin_gen
PORT MAP(clk => SLOW_CLK,
		 areset => nARESET,
		 sinq => VGA_R);


b2v_inst1 : prescaler
GENERIC MAP(freqin => 50000000,
			freqout => 16000
			)
PORT MAP(clkin => CLOCK_50,
		 areset => nARESET,
		 clkout => SLOW_CLK);


nARESET <= NOT(BUTTON);



END bdf_type;